io.vertx.rxjava3.grpc.common

## Class ServiceName

- java.lang.Object
- - io.vertx.rxjava3.grpc.common.ServiceName

-     public class ServiceName
      extends Object

  A gRPC service name.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ServiceName>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceName(Object delegate)`
    `ServiceName(ServiceName delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceName` | `create(String fqn)` Create a service name from its fully qualified name, e.g `com.examples.MyService`
    `static ServiceName` | `create(String packageName, String name)` Create a service name from its package name and name
    `boolean` | `equals(Object o)`
    `String` | `fullyQualifiedName()`
    `ServiceName` | `getDelegate()`
    `int` | `hashCode()`
    `String` | `name()`
    `static ServiceName` | `newInstance(ServiceName arg)`
    `String` | `packageName()`
    `String` | `pathOf(String method)` Create the path of a given `method` to call.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ServiceName> __TYPE_ARG

  - ### Constructor Detail

    - #### ServiceName

          public ServiceName(ServiceName delegate)

    - #### ServiceName

          public ServiceName(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ServiceName getDelegate()

    - #### create

          public static ServiceName create(String fqn)

      Create a service name from its fully qualified name, e.g `com.examples.MyService`
      Parameters:
        `fqn` - the fully qualified service name
      Returns:
        the service name

    - #### create

          public static ServiceName create(String packageName,
                                           String name)

      Create a service name from its package name and name
      Parameters:
        `packageName` - the package name
        `name` - the name
      Returns:
        the service name

    - #### name

          public String name()

      Returns:
        the name

    - #### packageName

          public String packageName()

      Returns:
        the package name

    - #### fullyQualifiedName

          public String fullyQualifiedName()

      Returns:
        the fully qualified name

    - #### pathOf

          public String pathOf(String method)

      Create the path of a given `method` to call.
      Parameters:
        `method` - the method
      Returns:
        the path, e.g `/com.examples.MyService/MyMethod`

    - #### newInstance

          public static ServiceName newInstance(ServiceName arg)

Copyright © 2024 Eclipse. All rights reserved.